> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all virtual fields



## OpenAPI

````yaml v2 get /vfields
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /vfields:
    get:
      tags:
        - vfields
      operationId: getVirtualFields
      parameters:
        - name: dataset
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: VirtualFieldWithId
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VirtualFieldWithId'
      security:
        - Auth:
            - virtualFields|read
components:
  schemas:
    VirtualFieldWithId:
      allOf:
        - $ref: '#/components/schemas/VirtualField'
        - type: object
          required:
            - id
          properties:
            id:
              type: string
    VirtualField:
      type: object
      required:
        - dataset
        - name
        - expression
      properties:
        dataset:
          type: string
        description:
          type: string
        expression:
          type: string
        name:
          type: string
        type:
          type: string
        unit:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````